<template>
  <div id="mapInfo" class="modelBox">
    <div>
      <div class="modleTitle ">
        <div>详情</div>
        <div class="modelClose" @click="$store.state.isShowVideo = false"> X</div>
      </div>
    </div>
    <div class="modelContent ">
 
      <div  >
        <video :src="src" autoplay  controls width="100%" height="100%"></video> 
      </div>
    </div>


  </div>
</template>

<script>




export default {
  name: "zhaiHaiInfo",
  components: {

  },

  data() {
    return {
      src: null,
      srcList: null,
    };
  },
  mounted() {
    this.setLayerStart();
  },
  destroyed() {

  },

  methods: {

    setLayerStart() {
     this.src = layerData.config.vidoe_URL;

    },

    setUrl(res) {
      this.url = res;


    }

  }
};
</script>

<style scoped lang="less">
.modelBox {
  width: 40%;
  height: 45%;
  border: 1px solid white;
  top: 25%;
  left: 30%;

  background-color: rgba(0, 0, 0, 0.6); // #0048fd69 !important
  z-index: 9999;
  position: absolute;


  .modleTitle {
    height: 42px;
    width: 90%;
    background: #0048fd69 !important;
    border-bottom: 1px solid white;
    color: white;
    font-weight: 700px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0% 5%;

    .modelClose {
      height: 16px;
      width: 16px;
      display: flex;
      align-items: center;
      justify-content: center;
      background: rgba(128, 128, 128, 0.6);
      font-size: 14x;

    }
  }

  .modelContent {
    width: calc(100% - 20px);
    height: calc(100% - 42px);
    padding: 10px 10px;

    position: absolute;
    div{
      width: 100%;
      height: calc(100% - 20px);
    }




  }


}
</style>
